-- Define the addon
local addon = CreateFrame("Frame",nil,UIParent)
addon:Hide()

-- Function to check if player is raid leader/master looter
function qirajiCheckRaidLead()
	local isRaidLead = false

	-- if you are in a raid, loop through players to find out what rank 
	if IsInRaid() then
		for i=1,40 do
			local name, rank, subgroup, level, class, fileName, zone, online, isDead, role, isML = GetRaidRosterInfo(i)

			if name == UnitName("player") and (rank == 2 or isML == true) then
				-- You are a raid leader or master looter
				isRaidLead = true
				break -- stop loop
			end
		end
	end
	
	return isRaidLead
end

-- Register to read player loot messages and raid chat
addon:RegisterEvent("CHAT_MSG_LOOT")

local insigniaSpamTimer = false
local artifactSpamTimer = false

-- Listen to loot messages
addon:SetScript("OnEvent", function(self, event, ...)

	local text, playerName, languageName, channelName, playerName2, specialFlags, zoneChannelID, channelIndex, channelBaseName, unused, lineID, guid, bnSenderID, isMobile, isSubtitle, hideSenderInLetterbox, supressRaidIcons = ...
	
	-- Check if the item drop is qiraji
	if string.find(text, "Qiraji Lord's Insignia") ~= nil and insigniaSpamTimer == false then
		PlaySoundFile("sound/interface/ui_bnettoast.ogg")
		print("|caaff00cb[Qiraji Loot Reminder]|caaffffff Someone just looted ".."Qiraji Lord's Insignia"..", don't forget to grab it!")
		
		-- Send the message to raid chat if raid leader or master looter
		if qirajiCheckRaidLead() then
			SendChatMessage("{rt3} [Qiraji Loot Reminder] Someone just looted ".."Qiraji Lord's Insignia"..", don't forget to grab it! {rt3}", "RAID", nil, nil)
		end
		
		-- Mark that the loot reminder has been sent, and put the spam timer on cooldown for 5 mins
		insigniaSpamTimer = true
		C_Timer.After(300, function()
			insigniaSpamTimer = false
		end)
	end
	
	if string.find(text, "Ancient Qiraji Artifact") ~= nil and artifactSpamTimer == false  then
		PlaySoundFile("sound/interface/ui_bnettoast.ogg")
		print("|caaff00cb[Qiraji Loot Reminder]|caaffffff Someone just looted ".."Ancient Qiraji Artifact"..", don't forget to grab it!")
		
		-- Send the message to raid chat if raid leader or master looter
		if qirajiCheckRaidLead() then
			SendChatMessage("{rt3} [Qiraji Loot Reminder] Someone just looted ".."Ancient Qiraji Artifact"..", don't forget to grab it! {rt3}", "RAID", nil, nil)
		end
		
		-- Mark that the loot reminder has been sent, and put the spam timer on cooldown for 5 mins
		artifactSpamTimer = true
		C_Timer.After(300, function()
			artifactSpamTimer = false
		end)
	end
		
end)